%global short_name maven-plugins

Name:           %{short_name}-pom
Version:        23
Release:        %mkrel 5
Summary:        Maven Plugins POM
BuildArch:      noarch
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/
Source:         http://repo.maven.apache.org/maven2/org/apache/maven/plugins/%{short_name}/%{version}/%{short_name}-%{version}-source-release.zip

BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-enforcer-plugin

Requires:       jpackage-utils
Requires:       maven
Requires:       maven-enforcer-plugin

%description
This package provides Maven Plugins parent POM used by different
Apache Maven plugins.

%prep
%setup -q -n %{short_name}-%{version}

%check
mvn-rpmbuild verify

%install
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -p -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%files
%doc LICENSE NOTICE
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 23-5.mga4
+ Revision: 507778
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 23-4.mga3
+ Revision: 359738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 23-3.mga3
+ Revision: 324046
- imported package maven-plugins-pom


* Thu Nov 15 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 23-3
- Add missing R: maven-enforcer-plugin

* Fri Nov  2 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 23-2
- Install license files

* Wed Oct 31 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 23-1
- Initial packaging
